Bug 879585 - CVE-2012-5564 android-tools (server): Insecure temporary file used for logging [fedora-all]
CVE-2012-5564 android-tools (server): Insecure temporary file used for loggin...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: android-tools (Show other bugs)
17
All Linux
low Severity low
: ---
: ---
Assigned To: Ivan Afonichev
Fedora Extras Quality Assurance
: Security, SecurityTracking
: 894745 (view as bug list)
Depends On:
Blocks: CVE-2012-5564
  Show dependency treegraph
 
Reported: 2012-11-23 06:39 EST by Jan Lieskovsky
Modified: 2013-02-09 23:37 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-09 23:36:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-11-23 06:39:21 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Jan Lieskovsky 2012-11-23 06:39:27 EST
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=879582,879585
Comment 2 Jan Lieskovsky 2013-01-15 11:04:21 EST
*** Bug 894745 has been marked as a duplicate of this bug. ***
Comment 3 Fedora Update System 2013-01-29 13:50:11 EST
android-tools-20130123git98d0789-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/android-tools-20130123git98d0789-1.fc16
Comment 4 Fedora Update System 2013-01-29 13:50:33 EST
android-tools-20130123git98d0789-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/android-tools-20130123git98d0789-1.fc17
Comment 5 Fedora Update System 2013-01-30 15:57:34 EST
android-tools-20130123git98d0789-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/android-tools-20130123git98d0789-1.fc18
Comment 6 Fedora Update System 2013-02-01 11:29:43 EST
Package android-tools-20130123git98d0789-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing android-tools-20130123git98d0789-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-1666/android-tools-20130123git98d0789-1.fc16
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-02-09 23:36:26 EST
android-tools-20130123git98d0789-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-02-09 23:36:52 EST
android-tools-20130123git98d0789-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-02-09 23:37:47 EST
android-tools-20130123git98d0789-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.